# Generated from rspec_failsafe_formatter-0.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rspec_failsafe_formatter

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 1%{?dist}
Summary: This gem provides an Rspec formatter which outputs test results for the maven-failsafe-plugin
License: MIT
URL: http://github.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 2.3
# BuildRequires: rubygem(rspec) < 3
BuildArch: noarch

%description
The maven-failsafe-plugin can be used for integration testing. Rspec can be
used for
integration testing. It would be really cool in the Jruby world if we could
easily allow these
two systems to communicate with one another. One of the ways can do that is by
having Rspec
output failsafe xml files. This would allow us to use Rspec for integration
tests in Jruby and
have our builds exit correctly.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rspec_failsafe_formatter.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.5-1
- Initial package
